#ifndef _PICTUREVIEWER_H_
#define _PICTUREVIEWER_H_

#include <QWidget>

class PictureViewer : public QWidget {
Q_OBJECT
public:
    PictureViewer(QWidget* pwgt = 0);
	PictureViewer(const QPicture &picture, QWidget* pwgt = 0);
	
	void setPicture(const QPicture &picture);
	void setPicture(const QString &fileName);
	
	QSize minimumSizeHint() const;
	QSize sizeHint() const;
	
protected:
    virtual void paintEvent(QPaintEvent*);
	void resizeEvent(QResizeEvent * event );
	void refrash();

private:
	QPicture	*pic;
	QSize		minSize;
};

#endif  //_PICTUREVIEWER_H_
